Call of Pripyat takes you once again into the vicinity of the Chernobyl nuclear reactor that exploded in 1986. This so-called "Zone" is a highly contaminated area cordoned off by the military and now is combed through by the so-called stalkers, modern fortune hunters, in search of unique artifacts. In the role of Agent Alexander Degtyarev, who is dressed up as stalker, you have to investigate the mysterious disappearance of five military helicopters and thereby stand one’s ground against the various stalker groups.

Add file Report STCoP Weapon Pack 2.9.0.6 Patch
Filename
STCoP_Weapon_Pack_2_9_0_6.zip
Category
Patch
Uploader
The-Blog
Added
Updated
Size
98.18mb (102,946,007 bytes)
Downloads
302 (1 today)
MD5 Hash
278897db55efdad8811d3e255d949c16
Embed Button
Embed Widget
Description

Contains all files for the ST CoP Weapon Pack Version 2.9.0.6 Patch, the updated AtmosFear 3 Compatability Patch, aswell as my english translation. You will still need the main mod, this is just a patch!

Preview
STCoP Weapon Pack 2.9.0.6 Patch
Comments
IDAV0LL
IDAV0LL

Noice

Reply Good karma Bad karma+2 votes
Popscleman
Popscleman

where do you get the Compatability Patch for AtmosFear 3

Reply Good karma Bad karma+1 vote
The-Blog Author
The-Blog

It's in the download for the main mod which can be found here:
Moddb.com

Should you have any further questions, feel free to ask :)

Reply Good karma+1 vote
Guest
Guest

It's different!

It needs to be updated to 2.9.0.6. Some weapons names changed in "xr_conditions.script" and an small change in "ui_main_menu.script".

I just created a personal patch for myself butI don't have anywhere I could upload it to or I would share.

You do need that patch if you have atmosphere or the game crashes after applying this patch to the full version.

I just went through this a couple hours ago myself. Hope thew info helps
:)

Reply Good karma Bad karma+2 votes
The-Blog Author
The-Blog

Oh, thats very good to know!
I assumed the old compatability patch would still work since the original mod page doesn't provide a new version.
Mhh any possibility you could maybe find a way to upload it somewhere? That would be extremly helpfull. Otherwise I'm gonna take a look over the next few days though I don't have much time right now.

Reply Good karma+2 votes
elEscobars
elEscobars

Hello! First of all, thank you very much for your work. I've yet to test your translation thoroughly, but from what I've seen so far, everything seems fine.

I hope you don't mind, but following on the Guest's indications I've taken the liberty of patching the files myself. It's fairly simple, all I did was replace the weapon names they mentioned from the "xr_conditions.script" original 2.9.0.6 patch into the same file from your Atmosfear 3 patch. I didn't notice any differences in the "ui_main_menu.script" file unless they were referring to the version handler that shows up in the bottom of the main menu screen, which I changed as well to show the proper version (2.9.0.6).

I've uploaded them to my personal Google Drive so you can update your main post. You can download the modified file below:

Drive.google.com

Everything loaded properly on starting a new game. I would test it further, but I don't have as much time to play as I would like at the moment. I quickly ran up to the sawmill (zombies spawn with a lot of different weapons) and everything worked as expected during the firefight.

Keep up the good work!

Reply Good karma Bad karma+2 votes
The-Blog Author
The-Blog

Perfect, thx!
I will update the post with your fix. Might take a couple of days as I am in the middle of my exams this semester. Still thanks a lot, gonna credit you on the page aswell :)

Reply Good karma+1 vote
elEscobars
elEscobars

No, thank you! I love STCoP, and I'm glad I can help bring it to English speaking audiences. The day's been a little slow and I've updated the translation for 2.9.0.8 now. There's a Remington 700 in the mod now (which is amazing).

If you'd like, I could give you my files for that as well. Keep in mind I don't know any Russian and English isn't even my first language, so I relied very heavily on Google Translate to get an idea as to what the new lines of dialogue and descriptions actually said. I might've missed something, but I definitely covered all changes listed in the changelog. And most importantly, of course, it doesn't crash the game (lol).

I'd love to help you as much as I can to maintain this translation up to date. So if you ever need any help at all, please, don't hesitate to ask!

Reply Good karma Bad karma+2 votes
The-Blog Author
The-Blog

If you want you can give me your updated files and I can upload them right away. That would most likely accelerate things since the earliest I can look into it is in about a week. With your files I can probably just upload them right away.

Also thanks a lot for offering your help in general.
Since doing this isn't too much work to maintain so far I'll try and keep this translation and files updated for as long as I can :)
Tbh. I really didn't expect them to even update the version at all since it seemed to been kinda stuck on version 2.9.0.5. All of the sudden there are new updates coming in. ^^

Reply Good karma+2 votes
elEscobars
elEscobars

Sweet! Here's the new version:

Drive.google.com

It's good news that development is picking up again. There are some unfinished weapons in the files that at least they still may want to work on. By now, I've spent a bit more time running around with this configuration and I haven't stumbled into any problems so far. I'm planning on sinking into the game over the weekend and just enjoy the weapons in all their glory.

I hope you do well on your exams! Until next time.

Reply Good karma Bad karma+1 vote
The-Blog Author
The-Blog

Thanks, gonna upload those in the evening today. :)
Just a small heads up. I actually finished the game with AtmosFear, Absolute Nature, Absolute Structures and STCoP 2.9.0.5 and I had some crashes in the second area Yanov. It was mostly when I entered a specific area and when I came back later it worked again so I am not really sure what the issue was. The game didn't provide and usefull crash logs sadly. In the end I was able to fully complete the game though including all the sidequests.

P.s.: I'm gonna assume the Compatability Patch for version 2.9.0.6 still works for 2.9.0.8, right?

Reply Good karma+1 vote
elEscobars
elEscobars

Thanks, I'll keep that in mind when I get to play. And the answer is yes, I looked over the files from the 2.9.0.8 update and none of the .script files seem to have changed much. Not too sure on the "particles.xr" file (no idea how to look at those types of archives). The patch for Atmosfear on the modders' main site hasn't been updated, however, and doesn't work with 2.9.0.6 or 2.9.0.8.

Reply Good karma Bad karma+1 vote
The-Blog Author
The-Blog

Yeah you would think they would update the Patch themselves one day. Oh well.

Reply Good karma+1 vote
Blitzkriegrekrut
Blitzkriegrekrut

How install now with atmosfear? Compaitiblity patch is updated?

Reply Good karma Bad karma+1 vote
Blitzkriegrekrut
Blitzkriegrekrut

Pls, I cant wait to play, how Inmstall now? I'm confused about all this versions, un russian side stand now some about 2.9.0.8...

Reply Good karma Bad karma+1 vote
The-Blog Author
The-Blog

Yeah there seems to have been an update in the last few days. Gonna look into that once I am done with my exams :)

Reply Good karma+1 vote
elEscobars
elEscobars

Found a small mistake with the translation: the standard 9x18mm FMJ rounds are named 9x19mm FMJ in the inventory window, despite weapons calling for 9x18mm working with them. I fixed it myself, just a matter of changing a character in "st_items_weapons.xml".

Reply Good karma Bad karma+2 votes
The-Blog Author
The-Blog

Thanks, gonna look into that the next few days and reupload a fixed version :)

Reply Good karma+1 vote
Guest
Guest

Didn't have much to do today so I merged "STCoP Weapon Pack 2.9.08 Fix" into "STCoP_Weapon_pack_2.9_Full". I created a patch for "Atmoshere 3" for 2.9.08 and added elEscobars's Translation for 2.9.08. I found out there is a new scope reticle for the eotech and mounted on the m249 it seems distorted. I added an optional fix that uses the original hud from "STCoP_Weapon_pack_2.9_Full" for the 249. I updated the instillation text but not the Russian change logs to reflect 2.9.08.
It seems to be running fine and I merged it deep into an existing game.
I just wish I had an uploading site. I'm not fond of Google so that's out and since I merged the whole thing it's huge (805MB).

Reply Good karma Bad karma+1 vote
Guest
Guest

Edit:
Just found out you have to replace all "wpn_*_eot_hud.ogf" (* is weapon name) files from 2.9_Full on top of 2.9.08. Thought it was just the m249 but it's any weapon that can be upgraded to EOT scope. It's something in the new mesh files that is distorting the new reticle. I've updated my patch to reflect this. I just wish I had some way of uploading this for people to test.

Reply Good karma Bad karma+1 vote
The-Blog Author
The-Blog

Have you tried some sort of hoster like mediafire or something like that?

Reply Good karma+1 vote
Guest
Guest

Please Test! Been working for me.
STCoP_Weapon_pack_2.9.08_Full: (Have to add https ww before below link. Won't let me add link to guest account.)
mediafire.com/file/ljx72mbcfyf23dp/STCoP_Weapon_pack_2.9.08_Full.7z

Reply Good karma Bad karma+1 vote
The-Blog Author
The-Blog

Anything specific you want people to test for or just in general if it's working? :)

Reply Good karma+1 vote
Guest
Guest

It's just the full version patched to 2.9.08. It's a "one and done". I noticed as my previous post was waiting approval that you put out a new patch. My full version seems to be working for me and you said you were busy so I whipped that together but since you have the patch now it's a bit redundant unless someone wants to archive it for future installs.

Have you noticed what I was talking about with the new reticle for the eto? If so then there is a patch inside that will swap back the old meshes for eto. I actually prefer them as well but that just personal to me. I'm downloading your patch and I'm going to compare what I have to see if there is any difference, maybe my patch job was bad for the eto.

Edit:
I did have two mistakes in the above file after comparing with yours. Both minor but corrected. I'll upload the new file to mediafire if anybody's interested. Since you have the patch now I think it would be redundant though.

Reply Good karma Bad karma+1 vote
The-Blog Author
The-Blog

I think it's still a neat idea to have it in 1 installer, though it is a bit redundant now that the new patch is out. I thought about doing a "one and done" version aswell, however it's just too much work to maintain I feel. Plus this way people can download older patches more easily.

Reply Good karma+1 vote
Post a comment
Sign in or join with:

Only registered members can share their thoughts. So come on! Join the community today (totally free - or sign in with your social account on the right) and join in the conversation.

Follow Report Profile
Icon
S.T.A.L.K.E.R.: Call of Pripyat
Platforms
Windows
Developer & Publisher
GSC Game World
Engine
X-Ray Engine
Contact
Send Message
Release date
Game watch
Follow
File
Browse
Files
New
Add file
Report
Report
Share
Related Games
S.T.A.L.K.E.R.: Call of Pripyat
S.T.A.L.K.E.R.: Call of Pripyat First Person Shooter
Related Engines
X-Ray Engine
X-Ray Engine Commercial
Related Groups
GSC Game World
GSC Game World Developer & Publisher